
<h1 class="pagetitle">{PAGE_TITLE}</h1>

<!-- IF ORDER_LIST -->
<script type="text/javascript">
$(function(){
	$('#ord-tbl').tablesorter(); //	{debug: true}
});
</script>
<script type="text/javascript">
ajax.openedPosts = {};

ajax.order = function(order_id) {
	if (!ajax.openedPosts[order_id]) {
		ajax.exec({
			action   : 'order',
			mode     : 'view',
			order_id : order_id
		});
	}
	else {
		var $post = $('#post_'+order_id);
		if ($post.is(':visible')) {
			$post.hide();
		}	else {
			$post.css({ display: '' });
		}
	}
};

ajax.callback.order = function(data) {
	var order_id = data.order_id;
	var $order = $('#order_'+order_id);
	$('#post-row tr')
		.clone()
		.attr({ id: 'post_'+order_id })
		.find('div.post_body').html(data.html).end()
		.insertAfter($order)
	;
	var maxH   = screen.height - 290;
	var maxW   = screen.width - 60;
	var $post  = $('div.post_wrap', $('#post_'+order_id));
	$post.css({ maxWidth: maxW, maxHeight: maxH });
	if ($.browser.msie) {
		if ($post.height() > maxH) { $post.height(maxH); }
		if ($post.width() > maxW)  { $post.width(maxW); $links.width(maxW); }
	}
	ajax.openedPosts[order_id] = true;

	if(data.del)  $('#order_'+ data.del).hide();
	if(data.info) $('#info_'+ data.info).hide();
	if(data.mod)  $('#perf_'+ data.mod).html('На модерации');
	if(data.url)  document.location.href = data.url;
};

function perform_order(id) {
    url = prompt("Введите url раздачи", "");
    if(url) {
        ajax.exec({
			action   : 'order',
			mode     : 'perform',
			order_id : id,
			url      : url
		});
    }
}
</script>

<style type="text/css">
.post_wrap { border: 1px #A5AFB4 solid; margin: 8px 8px 6px; overflow: auto; }
</style>

<table id="post-row" style="display: none;">
<tr>
	<td class="row1" colspan="7">
		<div class="post_wrap row1">
			<div class="post_body pad_6"></div>
			<div class="clear"></div>
		</div>
	</td>
</tr>
</table>

<table cellpadding="0" class="w100">
<tr>
	<td valign="bottom">
		<a href="{U_POST_REPLY_TOPIC}"><img src="{REPLY_IMG}" alt="{T_POST_REPLY}" /></a>
	</td>
	<td class="nav w100" style="padding-left: 8px;">
		<a href="{U_INDEX}">{T_INDEX}</a>
		<em>&raquo;</em>&nbsp;<a href="orders.php">Все заказы</a>
		<em>&raquo;</em>&nbsp;<a href="orders.php?mode=add">Добавить заказ</a>
	</td>
</tr>
</table>



<table class="forumline tablesorter med" id="ord-tbl">
<thead>
<tr>
	<th width="5" class="{sorter: 'digit'}">#</th>
	<th class="{sorter: 'text'}"><b class="tbs-text">Создана</b></th>
	<th width="60" class="{sorter: 'text'}"><b class="tbs-text">Постер</b></th>
	<th width="60%" class="{sorter: 'text'}"><b class="tbs-text">Инфо</b></th>
	<th width="40" class="{sorter: 'digit'}"><b class="tbs-text">Год</b></th>
	<th class="{sorter: 'digit'}"><b class="tbs-text">Статус</b></th>
	<!-- IF IS_AM --><th class="{sorter: 'digit'}">Модерация</th><!-- ENDIF -->
</tr>
</thead>
<!-- BEGIN order -->
<tr class="{order.CLASS} tCenter" id="order_{order.ID}">
	<td>{order.ID}</td>
	<td class="nowrap">{order.TIME} назад<div class="spacer_4"></div>{order.USER} ({order.USER_RATIO})</td>
	<td><img width="60" src="{order.POSTER}"></td>
	<td class="tLeft clickable" onclick="ajax.order({order.ID}); return false;">{order.INFO}</td>
	<td>{order.YEAR}</td>
	<td id="perf_{order.ID}">
		<!-- IF order.STATUS == 1 -->
			На модерации
			<!-- IF IS_AM --><br><a href="{order.URL}">ссылка</a><!-- ENDIF -->
		<!-- ELSEIF order.URL && order.STATUS == 2 -->
			<b style="color: blue;">Выполнена</b>: <a href="{order.URL}">ссылка</a>
		<!-- ELSE -->
			<b style="color: red;">не выполнена</b><br /><input type="button" onclick="perform_order({order.ID});" value="выполнить">
		<!-- ENDIF -->
	</td>
    <!-- IF IS_AM -->
    <td>
    <a href="#" onclick="ajax.exec({action: 'order', mode: 'del', order_id: {order.ID}});">[x]</a>
    <!-- IF order.STATUS == 1 -->
    &nbsp;|&nbsp;
    <a href="#" onclick="ajax.exec({action: 'order', mode: 'verify', status: 2, order_id: {order.ID}});">[&radic;]</a>
    <!-- ELSEIF order.STATUS != 0 -->
     &nbsp;|&nbsp;
    <a href="#" onclick="ajax.exec({action: 'order', mode: 'verify', status: 0, order_id: {order.ID}});">[?]</a>
    <!-- ENDIF -->

    </td>
    <!-- ENDIF -->
</tr>
<!-- END order -->
</table>
<!-- ENDIF -->

<!-- IF ORDER_ADD -->
<style type="text/css">
.assistant {
    border-collapse: collapse;
    width: 99%;
    font-size: 10pt;
}
.assistant td.arrow{
    padding: 0;
    background: transparent url('images/orders/leftmidd.png') no-repeat scroll left center;
    width: 12px;
}
.assistant td.text{
    padding: 0;
}

.corner-box {
    padding: 5px;
    position: relative;
    width: 100%;
    background-color: #ebe4b4;
}
.corner {
    position: absolute;
    width: 5px;
    height: 5px;
    background: url('images/orders/corners.png') no-repeat; font-size: 0%;
}
.corner-box-inner {
    padding: 15px;
    background-color: #ffffee;
    color: #996600;
}
.corner-box .tl {
    top: 0;
    left: 0;
    background-position: 0 0;
}
.corner-box .tr {
    top: 0;
    right: 0;
    background-position: -5px 0;
}
.corner-box .bl {
    bottom: 0;
    left: 0;
    background-position: 0 -5px;
}
.corner-box .br {
    bottom: 0;
    right: 0;
    background-position: -5px -5px;
}

.corner-box table, .corner-box table td {
    padding: 0;
    margin: 0;
}

.corner-box .icon {
    margin-right: 10px;
    overflow: visible;
}
</style>

<script type="text/javascript">
function order_search(mode, id, site)
{
	var search = $('#search_name').val();
	$('tr#info').hide();
	if (search.length < 3) {
		alert('Слишком короткое слово');
		return false;
	}
	ajax.exec({
		action : 'order',
		mode   : mode,
		search : search,
		site   : site,
		id     : id
	});
}
ajax.callback.order = function(data) {
	$('tr#'+ data.mode).show();
	$('#'+ data.mode +'_text').html(data.html);
	if(data.submit) $('#order_submit').attr('disabled', 'disabled').removeClass('clickable');
	if(data.id) $('#order_id').attr('value', data.id);
	if(data.site) $('#order_site').attr('value', data.site);
};
</script>

<table width="100%" class="med">
<col width="10%">
<col class="tCenter" width="60%">
<col class="tRight" width="30%">
<tr>
	<td>Поиск:</td>
	<td>
		<input type="text" id="search_name" class="w80" value="">
        <input type="button" class="row1 border bw_TRBL pad_2 clickable" onclick="order_search('search');" value="Искать" />
	</td>
	<td>
	<table class="assistant" cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td class="arrow left"></td>
		<td>
			<div class="corner-box">
				<div class="corner tl"></div>
				<div class="corner tr"></div>
				<div class="corner bl"></div>
				<div class="corner br"></div>
				<div class="corner-box-inner">Введите название аниме, который Вы бы хотели увидеть</div>
			</div>
		</td>
	</tr>
	</table>
	</td>
</tr>

<tr class="hidden" id="search">
	<td>Результаты поиска:</td>
	<td><div class="border bw_TRBL pad_8" id="search_text"></div></td>
	<td>
	<table class="assistant" cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td class="arrow left"></td>
		<td>
			<div class="corner-box">
				<div class="corner tl"></div>
				<div class="corner tr"></div>
				<div class="corner bl"></div>
				<div class="corner br"></div>
				<div class="corner-box-inner">Выберите подходящий вариант или измените запрос</div>
			</div>
		</td>
	</tr>
	</table>
	</td>
</tr>
<tr class="hidden" id="info">
	<td>Выбранный фильм:</td>
	<td><div class="border bw_TRBL pad_4" id="info_text"></div></td>
	<td>
	<table class="assistant" cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td class="arrow left"></td>
		<td>
			<div class="corner-box">
				<div class="corner tl"></div>
				<div class="corner tr"></div>
				<div class="corner bl"></div>
				<div class="corner br"></div>
				<div class="corner-box-inner">Проверьте правильность выбора</div>
			</div>
		</td>
	</tr>
	</table>
	</td>
</tr>
<form method="post" action="{URL}" class="tokenized">
<tr class="hidden" id="info">
	<td>Описание/ссылки:</td>
	<td>
	<form method="post">
		<textarea class="pad_4 med" maxLength="10" name="info" style="width: 98%;" rows="10"></textarea>
	</td>
	<td>
	<table class="assistant" cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td class="arrow left"></td>
		<td>
			<div class="corner-box">
				<div class="corner tl"></div>
				<div class="corner tr"></div>
				<div class="corner bl"></div>
				<div class="corner br"></div>
				<div class="corner-box-inner">Можно добавить что-нибудь от себя, ссылки на скачивание и т.д. Описание самого фильма дублировать здесь не нужно.</div>
			</div>
		</td>
	</tr>
	</table>
	</td>
</tr>
<tr class="hidden" id="info">
	<td colspan="2" class="tRight">
		<input id="order_id" type="hidden" name="id" value="">
		<input id="order_site" type="hidden" name="site" value="">
		<input class="row1 border bw_TRBL pad_2 clickable" id="order_submit" name="submit" type="submit" value="Отправить заявку">
	</td>
	<td>
	<table class="assistant" cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td class="arrow left"></td>
		<td>
			<div class="corner-box">
				<div class="corner tl"></div>
				<div class="corner tr"></div>
				<div class="corner bl"></div>
				<div class="corner br"></div>
				<div class="corner-box-inner">Все готово?</div>
			</div>
		</td>
	</tr>
	</table>
	</td>
</tr>
</form>
</table>
<!-- ENDIF -->
