<?php

if (!defined('IN_AJAX')) die(basename(__FILE__));

global $bb_cfg, $user, $lang;

$poster_dir = 'gallery/posters/';
$max_width  = 120;

$mode = (string) $this->request['mode'];

$snoopy = new Snoopy;
$snoopy->agent = 'opera';

$html = '';
switch($mode)
{
	case 'search':
	    $search  = (isset($this->request['search'])) ? DB()->escape($this->request['search']) : $this->ajax_die('Вы не ввели название для поиска!');

	    $search = RawUrlEncode(iconv('UTF-8', 'windows-1251', $search));
	    $snoopy->fetch("http://www.world-art.ru/search.php?name=$search&global_sector=all");
	    $content = iconv('windows-1251', 'UTF-8', $snoopy->results);

        $number = '';
        if(isset($content))
        {
        	preg_match_all ('#<a href = "animation/animation.php\?id=(.*?)" class=\'estimation\'>(.*?)</a><br>(.*?)<br>#', $content, $source, PREG_SET_ORDER);
			foreach($source as $i => $result)
	        {
	        	$number = ($i + 1);
	        	$html .= '<div class="pad_2">'. $number .'. <a href="#" onclick="order_search(\'info\', '. $result[1] .', \'world-art\'); return false;">'. $result[2] .'</a></div>';
	        }

		    preg_match_all ('#<a href=\'animation_poster.php\?id=(.*?)\'><img#si', $content, $source, PREG_SET_ORDER);

		    if($id = @$source[0][1])
		    {
		    	preg_match_all ('#valign=top><font size=3><b>(.*?) \[#si', $content, $source, PREG_SET_ORDER);
			    $number = 1;
		    	@$html .= '<div class="pad_2">'. $number .'. <a href="#" onclick="order_search(\'info\', '. $id .', \'world-art\'); return false;">'. $source[0][1] .'</a></div>';
	        }
        }

        if($html) $html .= '<div class="clear hr"></div><div class="tRight pad_4">Найдено с помощью: <img src="http://www.world-art.ru/img/logo.gif" width="100"></div>';

        //$snoopy->fetch("http://s.kinopoisk.ru/index.php?first=no&kp_query=$search");
	    $snoopy->fetch("http://s.kinopoisk.ru/index.php?level=7&from=forma&result=adv&m_act%5Bfrom%5D=forma&m_act%5Bwhat%5D=content&m_act%5Bfind%5D=$search&m_act%5Bgenre%5D%5B%5D=1750&m_act%5Bgenre_and%5D=on");
	    $content = iconv('windows-1251', 'UTF-8', $snoopy->results);

        if(isset($content))
        {
        	preg_match_all ('#<p class="name">.*?/film/(.*?)/sr/1/">(.*?)</a>.*? class="year">(.*?)</span></p>#', $content, $source, PREG_SET_ORDER);
			foreach($source as $i => $result)
	        {
	        	$number = ($number + 1);
	        	$html .= '<div class="pad_2">'. $number .'. <a href="#" onclick="order_search(\'info\', '. $result[1] .', \'kinopoisk\'); return false;">'. $result[2] .' ['. $result[3] .']</a></div>';
	        }
	        if(count($source)) $html .= '<div class="clear hr"></div><div class="tRight pad_4">Найдено с помощью: <img src="http://st.kinopoisk.ru/images/logo.gif" width="100"></div>';
	    }

	    if(!$html) $html = 'По вашему запросу ничего не найдено. Попробуйте изменить запрос.';
	break;

	case 'info':
	    $search  = (isset($this->request['search'])) ? DB()->escape($this->request['search']) : $this->ajax_die('Вы не ввели название для поиска!');

	    $id  = (isset($this->request['id'])) ? (int) $this->request['id'] : $this->ajax_die('Ошибка!');;
	    $site  = (isset($this->request['site'])) ? (string) $this->request['site'] : $this->ajax_die('Ошибка!!');;

        $release = '';
		$row = DB()->fetch_row("SELECT * FROM ". BB_ORDERS ." WHERE id = $id AND site = '$site'");
        if(!$row)
        {
            if (!$order = CACHE('bb_cache')->get("order-{$site}-$id"))
			{
			    if($site == 'world-art')
			    {
				    $snoopy->fetch("http://www.world-art.ru/animation/animation.php?id=$id");
				    $content = iconv('windows-1251', 'UTF-8', $snoopy->results);

			        preg_match_all ('#<img src=\'http://www.world-art.ru/animation/(.*?)\'#si', $content, $source, PREG_SET_ORDER);
					$poster = 'http://www.world-art.ru/animation/'. @$source[0][1];

				    preg_match_all ('#<title>Аниме - (.*?)</title>#si', $content, $source, PREG_SET_ORDER);
				    $name = @$source[0][1];

	                preg_match_all ("#list.php\?public_year=(.*?)'#", $content, $source, PREG_SET_ORDER);
				    $year = @$source[0][1];

			        preg_match_all ('#<b>Тип</b>: (.*?)<br><b>#si', $content, $source, PREG_SET_ORDER);
				    $tip = @$source[0][1];

			        preg_match_all ("#<a href='http://www.world-art.ru/country.php.*?'>(.*?)</a>#si", $content, $source, PREG_SET_ORDER);
				    $country = @$source[0][1];

				    preg_match_all ('#<b>Жанр</b>:&nbsp;(.*?)<br>#si', $content, $source, PREG_SET_ORDER);
				    $genre = @strip_tags($source[0][1]);

			        preg_match_all ('#<b>Режиссёр</b>: (.*?)<br>#si', $content, $source, PREG_SET_ORDER);
				    $producer = @strip_tags($source[0][1]);

				    preg_match_all ('#<b>Автор оригинала</b>: (.*?)<br>#si', $content, $source, PREG_SET_ORDER);
				    $scenario = @strip_tags($source[0][1]);

			        preg_match_all ('#<p align=justify class=\'review\'>(.*?)</p>#si', $content, $source, PREG_SET_ORDER);
				    $description = @strip_tags($source[0][1]);
		        }
		        else if($site == 'kinopoisk')
		        {
		        	$snoopy->fetch("http://www.kinopoisk.ru/level/1/film/$id/");
				    $content = iconv('windows-1251', 'UTF-8', $snoopy->results);

		            preg_match_all ('#src="http:\/\/st.kinopoisk.ru/images/film/(.*?)"  alt=".*?" itemprop="image"\/>#si', $content, $source, PREG_SET_ORDER);
					$poster = 'http://st.kinopoisk.ru/images/film/' .@$source[0][1];

				    preg_match_all ('#<title>(.*?)</title>#si', $content, $source, PREG_SET_ORDER);
				    $name = @$source[0][1];

			        //preg_match_all ('#<b>Тип</b>: (.*?)<br>#si', $content, $source, PREG_SET_ORDER);
				    //$tip = @$source[0][1];
		            $tip = 'аниме';

	                preg_match_all ('#год</td>.*?<a .*?>(.*?)</a>#si', $content, $source, PREG_SET_ORDER);
				    $year = @$source[0][1];

			        preg_match_all ('#страна</td>.*?<a .*?>(.*?)</a>#si', $content, $source, PREG_SET_ORDER);
				    $country = @$source[0][1];

				    preg_match_all ('#жанр</td>(.*?)</td>#si', $content, $source, PREG_SET_ORDER);
				    $genre = @strip_tags($source[0][1]);
		            $genre = str_replace(', ...', '', $genre);

			        preg_match_all ('#режиссер</td>(.*?)</td>#si', $content, $source, PREG_SET_ORDER);
				    $producer = @strip_tags($source[0][1]);
                    $producer = str_replace(', ...', '', $producer);

				    preg_match_all ('#сценарий</td><td>(.*?)</td>#si', $content, $source, PREG_SET_ORDER);
				    $scenario = @strip_tags($source[0][1]);
                    $scenario = str_replace(', ...', '', $scenario);

			        preg_match_all ('#<span class="_reachbanner_">(.*?)</span>#si', $content, $source, PREG_SET_ORDER);
				    $description = @$source[0][1];
		        }

	            // уменьшамем (если требуется) и сохраняем постер
		        if(@fopen($poster, "r"))
		        {
		        	// Узнаём размеры
					@list($poster_width, $poster_height, $type) = getimagesize($poster);

				    if(!$poster_width || !$poster_height) //Проверяем на изображение
				    {
				    	header('Content-type: image/png');
				    	header('Content-Disposition: filename=no-poster.png');
						readfile($no_poster);
				    }
				    else
				    {
				    	// Открываем
					    switch ($type)
					    {
							case 1:
								$poster = ImageCreateFromGIF($poster);
								$filetype = 'gif';
							break;
							case 2:
								$poster = ImageCreateFromJPEG($poster);
								$filetype = 'jpg';
							break;
							case 3:
								$poster = ImageCreateFromPNG($poster);
								$filetype = 'png';
							break;
					    }

						$new_width = $max_width;
						$new_height = ($poster_height*$max_width)/$poster_width;

						if(($poster_width > $max_width))
						{
							$new = imagecreatetruecolor($new_width, $new_height);

							imagealphablending($new, false);
							imagesavealpha($new, true);

							imagecopyresampled($new, $poster, 0, 0, 0, 0, $new_width, $new_height, $poster_width, $poster_height);
						}
						else
						{
							$new = $poster;
						}

						$poster_serv = "order-$type-$id.$filetype";

						switch($type)
					    {
					    	case 1:
							    ImageGIF($new, $poster_dir . $poster_serv);
							break;
							case 2:
								ImageJPEG($new, $poster_dir . $poster_serv, 100);
							break;
							case 3:
							    ImagePNG($new, $poster_dir . $poster_serv);
							break;

					    }
					    imagedestroy($new);
					    imagedestroy($poster);
				    }
		        }
		        else
		        {
		        	$poster_serv = "image_none.gif";
		        }

				$order = array(
			        'poster'      => $poster_serv,
			        'name'        => $name,
			        'year'        => $year,
			        'tip'         => $tip,
			        'country'     => $country,
			        'genre'       => $genre,
			        'producer'    => $producer,
			        'scenario'    => $scenario,
			        'description' => $description,
		        );
				CACHE('bb_cache')->set("order-{$site}-$id", $order, 300);
			}

        }
        else
        {
        	$order = unserialize($row['text']);
        	$release .= '<tr>
				<td colspan="3">
					<div class="corner-box">
						<div class="corner tl"></div>
						<div class="corner tr"></div>
						<div class="corner bl"></div>
						<div class="corner br"></div>
						<div class="corner-box-inner">
						<img src="images/orders/warn.png" align="right">Данный заказ уже есть:
						<div class="spacer_6"></div>
						<ul><li class="pad_2"><a title="'. $order['name'] .'" href="order.php?order='. $row['order_id'] .'">'. str_short($order['name'], 50) .' ['. $order['year'] .']</a> ('. delta_time($row['time']) .' '. $row['status'] .')</li></ul>
			            </div>
					</div>
				</td>
			</tr>';
			$this->response['submit']	= true;
	    }

	    $search_match_topics_csv = '';
	    define('TITLE_MATCH', true);
        $title_match_sql = clean_text_match($search, true, false, false);
        $title_match_topics = get_title_match_topics($title_match_sql, array());
        $search_match_topics_csv = join(',', $title_match_topics);

        if($search_match_topics_csv)
        {
	        $sql = DB()->fetch_rowset("SELECT topic_id, topic_title FROM ". BB_TOPICS ." WHERE topic_id IN($search_match_topics_csv) ORDER BY topic_id DESC");
	        if($sql)
	        {
	        	$release .= '<tr>
					<td colspan="3">
						<div class="corner-box">
							<div class="corner tl"></div>
							<div class="corner tr"></div>
							<div class="corner bl"></div>
							<div class="corner br"></div>
							<div class="corner-box-inner">
							<img src="warn.png" align="right">Такой релиз возможно уже на трекере:
							<div class="spacer_6"></div>
							<ul>';
	        	foreach ($sql as $i => $row)
				{
					if($i >= 5) continue; //отбираем толька первые пять результатов
					$release .= '<li class="pad_2"><a title="'. $row['topic_title'] .'" href="'. TOPIC_URL . $row['topic_id'] .'">'. str_short($row['topic_title'], 70) .'</a></li>';
				}
				$release .= '</ul>
				            <div class="tRight pad_4">Найдено '. $found .'. <a href="tracker.php?nm='. RawUrlEncode($search) .'">Посмотреть все результаты</a></div>
							</div>
						</div>
					</td>
				</tr>';
	        }
        }
        foreach ($order as $key => $params)
		{
			$$key = ($params) ? $params : '---';
		}

        // выводим
		$html = '
			<table width="100%" class="assistant vTop" cellspacing="0" cellpadding="0" border="0">
			'. $release .'
			<tr>
				<td width="20%"" class="vTop" rowspan="8">
					<img src="'. $poster_dir . $poster .'" width="120">
				</td>
				<td class="gen tCenter" colspan="2"><b>'. $name .'</b></td>
			</tr>
			<tr>
				<td width="10%"><b>Год</b>:</td>
				<td width="70%">'. $year .'</td>
			</tr>
			<tr>
				<td><b>Тип</b>:</td>
				<td>'. $tip .'</td>
			</tr>
			<tr>
				<td><b>Страна</b>:</td>
				<td>'. $country .'</td>
			</tr>
			<tr>
				<td><b>Жанр</b>:</td>
				<td>'. $genre .'</td>
			</tr>
			<tr>
				<td><b>Режиссер</b>:</td>
				<td>'. $producer .'</td>
			</tr>
			<tr>
				<td><b>Сценарий</b>:</td>
				<td>'. $scenario .'</td>
			</tr>
			<tr>
				<td colspan="2"><b>Описание</b>: &nbsp;&nbsp;'. $description .'</td>
			</tr>
			</table>';

	    $this->response['id']	= $id;
		$this->response['site']	= $site;
	break;

	case 'view':
	    $order_id = (int) $this->request['order_id'];
	    $row = DB()->fetch_row("SELECT * FROM ". BB_ORDERS ." WHERE order_id = $order_id");
        if(!$row) $this->ajax_die('Такого запроса нет.');

        $order = unserialize($row['text']);

        foreach ($order as $key => $params)
		{
			$$key = ($params) ? $params : '---';
		}

        $html = '
			<table width="100%" class="borderless" cellspacing="0" cellpadding="0" border="0">
			<tr>
				<td width="20%"" class="vTop" rowspan="8">
					<img src="'. $poster_dir . $poster .'" width="120">
				</td>
				<td class="gen tCenter" colspan="2"><b>'. $name .'</b></td>
			</tr>
			<tr>
				<td width="10%"><b>Год</b>:</td>
				<td width="70%">'. $year .'</td>
			</tr>
			<tr>
				<td><b>Тип</b>:</td>
				<td>'. $tip .'</td>
			</tr>
			<tr>
				<td><b>Страна</b>:</td>
				<td>'. $country .'</td>
			</tr>
			<tr>
				<td><b>Жанр</b>:</td>
				<td>'. $genre .'</td>
			</tr>
			<tr>
				<td><b>Режиссер</b>:</td>
				<td>'. $producer .'</td>
			</tr>
			<tr>
				<td><b>Сценарий</b>:</td>
				<td>'. $scenario .'</td>
			</tr>
			<tr>
				<td colspan="2"><b>Описание</b>: &nbsp;&nbsp;'. $description .'</td>
			</tr>
			</table>';
			if($row['info'])
			{
				$html .= '<div class="clear"></div><div id="info_'. $order_id .'" class="q mrg_8 pad_4">';
				$html .= (IS_AM) ? '<span class="floatR"><a href="#" onclick="ajax.exec({action: \'order\', mode: \'del_info\', order_id: '. $order_id .'});">[x]</a></span>' : '';
				$html .= $row['info'] .'</div>';
			}
		$this->response['order_id']	= $order_id;
	break;

	case 'del':
		$order_id = (int) $this->request['order_id'];

		if(!$order_id) bb_die('косяк');
		if(!IS_AM) bb_die($lang['ONLY_FOR_MOD']);

		if (empty($this->request['confirmed']))
		{
			$this->prompt_for_confirm("Вы уверены, что хотите удалить этот заказ?");
		}

		DB()->query("DELETE FROM ". BB_ORDERS ." WHERE order_id = $order_id");
		$this->response['del']	= $order_id;
	break;

	case 'del_info':
		$order_id = (int) $this->request['order_id'];

		if(!$order_id) bb_die('косяк');
		if(!IS_AM) bb_die($lang['ONLY_FOR_MOD']);

		if (empty($this->request['confirmed']))
		{
			$this->prompt_for_confirm("Вы уверены, что хотите удалить эту информацию?");
		}

		DB()->query("UPDATE ". BB_ORDERS ." SET info = '' WHERE order_id = $order_id");
		$this->response['info']	= $order_id;
	break;

	case 'perform':
		$order_id = (int) $this->request['order_id'];
        $url      = (string) DB()->escape($this->request['url']);

        DB()->query("UPDATE ". BB_ORDERS ." SET url = '$url', profile_id = '{$userdata['user_id']}', status = 1 WHERE order_id = $order_id");
		$this->response['mod']	= $order_id;
	break;

	case 'verify':
		$order_id = (int) $this->request['order_id'];
        $status   = (int) $this->request['status'];

        if(!$order_id) bb_die('косяк');
		if(!IS_AM) bb_die($lang['ONLY_FOR_MOD']);

        DB()->query("UPDATE ". BB_ORDERS ." SET status = $status WHERE order_id = $order_id");
		$this->response['url']	= 'orders.php?order='. $order_id;
	break;
}

$this->response['html']  	= $html;
$this->response['mode']  	= $mode;